> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Launch a Workflow



## OpenAPI

````yaml post /v3/workflows/{workflow_uid}/schedule
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/workflows/{workflow_uid}/schedule:
    post:
      tags:
        - Workflows
      summary: Launch a Workflow
      operationId: v3_schedule_workflow
      parameters:
        - required: true
          schema:
            title: Workflow UID
            type: string
            format: uuid
          name: workflow_uid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduleWorklfow'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                workflow:
                  uid: xxxxxx-xxxx-4eeb-ada7-652fb498f540
                  permalink: >-
                    extract-linkedin-people-profile085eef00-7e08-4abc-9971-217d3b65089b
                  name: Extract LinkedIn People Profile
                  created_at: '2024-10-26T22:35:35.803378'
                  project_id: 1
                  linked_templates:
                    - xxxxxxx-xxxxx-4288-8959-ef5759254ea1
                  template_uid: 76fc370f-110b-4288-8959-ef5759254ea1
                message: Bot successfully scheduled.
                job_uid: 789416bd-9bc6-49be-9e21-d8037d1e393b
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - path
                      - workflow_uid
                    msg: value is not a valid uuid
                    type: type_error.uuid
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    ScheduleWorklfow:
      title: ScheduleWorklfow
      type: object
      properties:
        job_name:
          type: string
          example: Get Yann Lecun Linkedin Profile
          description: Name of the workflow job to be scheduled.
        steps:
          type: array
          description: An array of steps to execute in the workflow.
          items:
            type: object
            properties:
              accounts:
                type: array
                items:
                  type: string
                  format: uuid
                  example: fc457336-63da-47f8-9a3c-53f2581d0ccb
                description: List of account UUIDs to use in the step.
              accounts_rotation_enabled:
                type: boolean
                example: true
                description: Whether to enable account rotation for the step.
              parameters:
                type: object
                description: Parameters specific to the step.
              output_column:
                type: string
                nullable: true
                example: null
                description: Optional output column mapping.
              step_uid:
                type: string
                format: uuid
                example: xxxxxx-xxxxx-451f-ac94-2b41972ec6a7
                description: Unique identifier for the step.
            required:
              - step_uid
        inputs:
          type: array
          description: >-
            List of inputs for the workflow. Each workflow has its own input
            keys; you'll need to adjust.
          items:
            type: object
            properties:
              linkedin_profile_url:
                type: string
                example: https://www.linkedin.com/in/yann-lecun/
                description: >-
                  LinkedIn profile URL for the job. This key is an example, each
                  workflow has its own set of key(s).
              meta:
                type: object
                additionalProperties:
                  type: string
                example:
                  hubspot_company_id: '***'
                  hubspot_people_id: '***'
                  your_meta_key: '***'
                description: >-
                  Metadata associated with the input. It can be any additional
                  key you'd like to get at the end of the workflow, for example
                  to track a reference such as CRM ID.
        unstructure_meta:
          title: Unstructure Meta
          description: >-
            By default we store all your metadata inside the `meta: {}` object.
            Setting `unstructure_meta` to true will flatmap the JSON object,
            i.e. each meta key will be added to the final output.
          type: boolean
          example: false
          default: false
        repeat_option:
          title: Repeat Option
          type: object
          description: This option lets you create a repeated job (schedule).
          properties:
            type:
              type: string
              example: minute
              description: >-
                The frequency of repeat. Any of 'minute', 'hour', 'day', 'week'
                or 'month'
            value:
              type: integer
              example: 10
              description: Integer value for the repeat frequency.
      required:
        - steps
        - inputs
        - job_name
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````